Expire a payment intent
curl --request POST \
--url https://api-sandbox.circle.com/v1/paymentIntents/{id}/expire \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api-sandbox.circle.com/v1/paymentIntents/{id}/expire"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api-sandbox.circle.com/v1/paymentIntents/{id}/expire', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"amount": {
"amount": "3.14",
"currency": "USD"
},
"settlementCurrency": "USD",
"paymentMethods": [
{
"type": "blockchain",
"chain": "ETH",
"address": "0x8381470ED67C3802402dbbFa0058E8871F017A6F"
}
],
"id": "b8627ae8-732b-4d25-b947-1df8f4007a29",
"amountPaid": {
"amount": "3.14",
"currency": "USD"
},
"amountRefunded": {
"amount": "3.14",
"currency": "USD"
},
"fees": [
{
"type": "blockchainLeaseFee",
"amount": "3.14",
"currency": "USD"
}
],
"paymentIds": [
"69808f36-3e5e-4f37-bf82-ca79e4d70fc1"
],
"refundIds": [
"425dca6d-ac79-43b6-b0f9-43fdc51de91b"
],
"timeline": [
{
"status": "created",
"time": "2023-11-07T05:31:56Z",
"context": "underpaid",
"reason": "requested_by_merchant"
}
],
"expiresOn": "2020-04-10T02:13:30.000Z",
"updateDate": "2020-04-10T02:13:30.000Z",
"createDate": "2020-04-10T02:13:30.000Z",
"merchantWalletId": "1000662322",
"purposeOfTransfer": "PMT001",
"customerExternalRef": "310c458a-18eb-4cbd-8a9a-586d9448ae69"
}
}{
"code": 2,
"message": "API parameter invalid."
}{
"code": 4,
"message": "Unauthorized."
}{
"code": 404,
"message": "Not found."
}{
"code": -1,
"message": "Something went wrong. errId: 1f0b0c455e40f753f07b4f0ae6abd4b4"
}Expire a payment intent
Expires a payment intent so it no longer accepts payments.
POST
/
v1
/
paymentIntents
/
{id}
/
expire
Expire a payment intent
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Universally unique identifier (UUID v4) of a resource.
Example:
"b3d9d2d5-4c12-4946-a09d-953e82fae2b0"
Body
application/json
The body is of type object.
Response
Successfully expired a payment intent.
A transient payment intent.
- Option 1
- Option 2
Show child attributes
Show child attributes
Was this page helpful?